{
  "schema_version": "1.4.0",
  "id": "GHSA-qw6x-jqf9-5vf7",
  "modified": "2022-05-01T17:55:55Z",
  "published": "2022-05-01T17:55:55Z",
  "aliases": [
    "CVE-2007-1667"
  ],
  "details": "Multiple integer overflows in (1) the XGetPixel function in ImUtil.c in X.Org libx11 before 1.0.3, and (2) XInitImage function in xwd.c for ImageMagick, allow user-assisted remote attackers to cause a denial of service (crash) or obtain sensitive information via crafted images with large or negative values that trigger a buffer overflow.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2007-1667"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=231684"
    },
    {
      "type": "WEB",
      "url": "https://issues.rpath.com/browse/RPL-1211"
    },
    {
      "type": "WEB",
      "url": "https://issues.rpath.com/browse/RPL-1213"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A1693"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A9776"
    },
    {
      "type": "WEB",
      "url": "http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=414045"
    },
    {
      "type": "WEB",
      "url": "http://issues.foresightlinux.org/browse/FL-223"
    },
    {
      "type": "WEB",
      "url": "http://lists.apple.com/archives/security-announce/2009/Feb/msg00000.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.freedesktop.org/archives/xorg-announce/2007-April/000286.html"
    },
    {
      "type": "WEB",
      "url": "http://rhn.redhat.com/errata/RHSA-2007-0125.html"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24739"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24741"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24745"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24756"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24758"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24765"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24771"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24791"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24953"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24975"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25004"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25072"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25112"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25131"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25305"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25992"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/26177"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/30161"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/33937"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/36260"
    },
    {
      "type": "WEB",
      "url": "http://security.gentoo.org/glsa/glsa-200705-06.xml"
    },
    {
      "type": "WEB",
      "url": "http://sunsolve.sun.com/search/document.do?assetkey=1-26-102888-1"
    },
    {
      "type": "WEB",
      "url": "http://support.apple.com/kb/HT3438"
    },
    {
      "type": "WEB",
      "url": "http://support.avaya.com/elmodocs2/security/ASA-2007-176.htm"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2007/dsa-1294"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2009/dsa-1858"
    },
    {
      "type": "WEB",
      "url": "http://www.gentoo.org/security/en/glsa/glsa-200805-07.xml"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDKSA-2007:079"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDKSA-2007:147"
    },
    {
      "type": "WEB",
      "url": "http://www.novell.com/linux/security/advisories/2007_27_x.html"
    },
    {
      "type": "WEB",
      "url": "http://www.novell.com/linux/security/advisories/2007_8_sr.html"
    },
    {
      "type": "WEB",
      "url": "http://www.openbsd.org/errata39.html#021_xorg"
    },
    {
      "type": "WEB",
      "url": "http://www.openbsd.org/errata40.html#011_xorg"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2007-0126.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2007-0157.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/464686/100/0/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/464816/100/0/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/23300"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id?1017864"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/usn-453-1"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/usn-453-2"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/usn-481-1"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2007/1217"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2007/1531"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2007-03-24T21:19:00Z"
  }
}